# List broadcast recipients

Returns broadcast recipients, one page at a time.

```http
GET https://api.pozy.ai/v1/broadcasts/{broadcastId}/recipients
```

- Area: Automations / Broadcasts
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `broadcastId` (string, required)

## Query parameters

- `status` (string): one of pending, sent, delivered, read, failed
- `limit` (integer)
- `skip` (integer)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/broadcasts/6ce1988a4c4f8bc6d3ca157a/recipients?limit=50" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/broadcasts/6ce1988a4c4f8bc6d3ca157a/recipients?limit=50", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/broadcasts/6ce1988a4c4f8bc6d3ca157a/recipients",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "limit": 50,
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `recipients`, array of object
  - `id`, string
  - `contactId`, string
  - `channelId`, string
  - `platformIdentifier`, string
  - `contactName`, string: Can be null
  - `status`, string: One of `pending`, `sent`, `delivered`, `read`, `failed`
  - `messageId`, string
  - `error`, string
  - `errorCode`, integer: Can be null
  - `errorExplanation`, string: Can be null
  - `errorTraceId`, string: Can be null
  - `sentAt`, string (date-time)
  - `deliveredAt`, string (date-time)
  - `readAt`, string (date-time)
- `pagination`, object
  - `total`, integer
  - `limit`, integer
  - `skip`, integer
  - `hasMore`, boolean
- `summary`, object
  - `total`, integer
  - `pending`, integer
  - `sent`, integer
  - `delivered`, integer
  - `read`, integer
  - `failed`, integer

```json
{
  "success": true,
  "recipients": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "contactId": "642d31f43531ce7d44aa5013",
      "channelId": "6750a975638e9df035530f04",
      "platformIdentifier": "instagram",
      "contactName": "Acme",
      "status": "pending",
      "messageId": "62d191e7089bc48b8ea56b35",
      "error": "string",
      "errorCode": 1,
      "errorExplanation": "string",
      "errorTraceId": "6a226f257e731c76a6ddbb2e",
      "sentAt": "2026-10-02T09:00:00.000Z",
      "deliveredAt": "2026-10-02T09:00:00.000Z",
      "readAt": "2026-10-02T09:00:00.000Z"
    }
  ],
  "pagination": {
    "total": 42,
    "limit": 1,
    "skip": 1,
    "hasMore": true
  },
  "summary": {
    "total": 42,
    "pending": 1,
    "sent": 1,
    "delivered": 1,
    "read": 1,
    "failed": 1
  }
}
```
